| Home | Libraries | People | FAQ | More

###### http::message::message (11 of 14 overloads)

Constructor.

###### Synopsis

    template<
        class BodyArg,
        class FieldsArg>
    message(
        status result,
        unsigned version,
        BodyArg&& body_arg,
        FieldsArg&& fields_arg);

###### Parameters

Name | Description
--- | ---
`result` | The status-code for the response.
`version` | The HTTP-version.
`body_arg` | An argument forwarded to the `body` constructor.
`fields_arg` | An argument forwarded to the `Fields` base class constructor.

###### Remarks

This member is only available when `isRequest == false`.